跳转到主要内容
官方文档:https://platform.openai.com/docs/api-reference/videos/create

Endpoint

POST /v1/videos
分组: openai视频格式 / sora

Responses

  • 200: 成功

OpenAPI specification

openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/videos:
    post:
      summary: 创建视频
      deprecated: false
      description: 官方文档:https://platform.openai.com/docs/api-reference/videos/create
      tags:
        - openai视频格式/sora
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                model:
                  description: |-
                    枚举值:
                    sora-2-vip
                    sora-2-pro-vip
                    sora-2:不稳定
                    sora-2-pro:不稳定
                  example: sora-2
                  type: string
                prompt:
                  description: 提示词
                  example: 画面动起来
                  type: string
                seconds:
                  description: |
                    4、8、12
                  example: '10'
                  type: string
                size:
                  description: |-
                    宽x高,会忽略具体数据 宽>高 为横屏,宽<高为竖屏 
                    720x1280
                    1280x720
                    1024x1792
                    1792x1024
                  example: 720x1280
                  type: string
                input_reference:
                  format: binary
                  type: string
                  description: 参考图
                  example: ''
            examples: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  model:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  created_at:
                    type: integer
                  seconds:
                    type: string
                  size:
                    type: string
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
                  - size
                x-apifox-orders:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
                  - size
              example:
                id: video_fe6f922f-da34-48a4-9c35-e71df5950cbf
                object: video
                model: sora-2
                status: queued
                progress: 0
                created_at: 1764649117
                seconds: '10'
                size: 720x1280
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: openai视频格式/sora
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-384880011-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []